# 4. Napisati program koji ce da kreira backup tekst 
# fajlova direktorijuma cije se ime zadaje kao arg
# Ukoliko se ne navede ime drugog direktorijuma 
# napraviti folder BACKUP u direktorijumu koji je 
# naveden kao prvi arg
# Fajlovi se snimaju pod ekstenzijom .bak
# Obraditi moguce greske 

if [ $# -eq 0 ]
then 
	echo Nisu proslijedjeni parametri 
	exit 1
fi

# Provjera da li je prvi arg folder
if ! [ -d $1 ]
then 
	echo Prvi argument nije folder
	exit 2
fi 

if [ $# -eq 2 ]
then 
	if ! [ -d $2 ]
	then 
		echo Drugi argument nije folder
		exit 3
	fi
	dest=$2
else 
	mkdir $1/BACKUP
	dest=$1/BACKUP
fi

for a in $1/*.txt
do 
	t1=$(basename $a)  #kopija.txt
	t2="${t1%%.*}.bak" #kopija.bak
 	cp $a $dest
	mv $dest/$t1 $dest/$t2 # preimenovanje
done




































































